Bug 115877 - EDITING: changing the bullet mark does not undo as a whole
Summary: EDITING: changing the bullet mark does not undo as a whole
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2018-02-20 11:39 UTC by Mark Hung
Modified: 2019-02-22 07:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-02-20 11:39:05 UTC
Description:
Select a list and change the number to bullets. Undo rewind a single item every time and produce incorrect result.

Steps to Reproduce:
1. Open the attachment http://bugs.documentfoundation.org/attachment.cgi?id=120895 ( tdf#96153)
2. Change from outline view to normal view. ( View -> Normal )
3. Select the items (1)-(4)
4. From menu, select Format -> Bullets & Numbering.
5. On bullet tab, select solid diamond bullet. 
6. Ctrl+z to undo. 
7. Keep pressing ctrl+z until undo is not possible ).



Actual Results:  
The last item change back to (1). Keep pressing ctrl+z change all the items to (1).

Expected Results:
The items should be changed from diamonds to (1)-(4) altogether when Ctrl+z is pressed for the first time.


Reproducible: Always


User Profile Reset: No



Additional Info:
Please activate "Bullet and numbering" dialog from menu or context menu in step5. Changing bullet from the sidebar acts correctly while undo.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.167 Safari/537.36
Comment 1 Xisco Faulí 2018-02-20 11:59:06 UTC
Confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 665e646c3b217e93c8e0649a4fa4326340163483
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 QA Administrators 2019-02-21 03:42:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug